$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.129.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.129.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D8824C7DE3C5C33A40C96D1E68FA58D4450DF3CC2856D74D61D4B9D759B750D8'
  checksumType = 'sha256'
  checksum64 = 'D8824C7DE3C5C33A40C96D1E68FA58D4450DF3CC2856D74D61D4B9D759B750D8'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.129-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
